Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(53)

Unified Diff: chrome/tools/mac_copy_grit_resources.sh

Issue 28171: Wire up resource bundles on the mac:... (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src/
Patch Set: Created 11 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: chrome/tools/mac_copy_grit_resources.sh
===================================================================
--- chrome/tools/mac_copy_grit_resources.sh (revision 0)
+++ chrome/tools/mac_copy_grit_resources.sh (revision 0)
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# Copyright (c) 2009 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -ex
+GENERATED_DIR="${CONFIGURATION_TEMP_DIR}/generated"
+REPACKED_DIR="${GENERATED_DIR}/grit_repacked"
+APP_RESOURCES_ROOT_DIR="${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}"
+mkdir -p "${APP_RESOURCES_ROOT_DIR}"
+
+
+if [ "${APP_RESOURCES_ROOT_DIR}/chrome.pak" -ot \
+ "${REPACKED_DIR}/chrome.pak" ]
+then
+ cp -f "${REPACKED_DIR}/chrome.pak" \
+ "${APP_RESOURCES_ROOT_DIR}/chrome.pak"
+fi
+
+if [ "${APP_RESOURCES_ROOT_DIR}/theme.pak" -ot \
+ "${REPACKED_DIR}/theme.pak" ]
+then
+ cp -f "${REPACKED_DIR}/theme.pak" \
+ "${APP_RESOURCES_ROOT_DIR}/theme.pak"
+fi
+
+# TODO: this should loop though all the languages and copy them to the
+# right folder (note the name change)
+
+if [ "${APP_RESOURCES_ROOT_DIR}/locale.pak" -ot \
+ "${REPACKED_DIR}/locale_en-US.pak" ]
+then
+ mkdir -p "${APP_RESOURCES_ROOT_DIR}/English.lproj"
+ cp -f "${REPACKED_DIR}/locale_en-US.pak" \
+ "${APP_RESOURCES_ROOT_DIR}/English.lproj/locale.pak"
+fi
Property changes on: chrome/tools/mac_copy_grit_resources.sh
___________________________________________________________________
Name: svn:executable
+ *

Powered by Google App Engine
This is Rietveld 408576698